GNU bug report logs - #16055
[PATCH 2/2] "-Wall -Wextra -Werror" compilation patches - part 2/2 parted/ui.c:169:1: error: string length '827' is greater than the length '509' ISO C90 compilers are required to support [-Werror=overlength-strings]

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: parted; Reported by: Doron Tsur <doront@HIDDEN>; Keywords: patch; dated Wed, 4 Dec 2013 16:22:01 UTC; Maintainer for parted is bug-parted@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Dec 2013 16:21:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 11:21:21 2013
Received: from localhost ([127.0.0.1]:58194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VoFCS-0001A5-7S
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 11:21:21 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60336)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <doront@HIDDEN>) id 1VoDw2-0007TQ-ES
 for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 10:00:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <doront@HIDDEN>) id 1VoDvx-0002kt-7t
 for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 10:00:18 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,UNPARSEABLE_RELAY
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41904)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <doront@HIDDEN>) id 1VoDvx-0002kp-4t
 for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 10:00:13 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33747)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <doront@HIDDEN>) id 1VoDvs-0006nh-Mo
 for bug-parted@HIDDEN; Wed, 04 Dec 2013 10:00:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <doront@HIDDEN>) id 1VoDvo-0002ZV-2d
 for bug-parted@HIDDEN; Wed, 04 Dec 2013 10:00:08 -0500
Received: from [193.47.165.129] (port=48042 helo=mellanox.co.il)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <doront@HIDDEN>) id 1VoDvn-0002Uf-Eh
 for bug-parted@HIDDEN; Wed, 04 Dec 2013 10:00:03 -0500
Received: from Internal Mail-Server by MTLPINE2 (envelope-from
 doront@HIDDEN) with SMTP; 4 Dec 2013 16:33:20 +0200
Received: from r-vnc04.mtr.labs.mlnx (r-vnc04.mtr.labs.mlnx [10.208.0.116])
 by labmailer.mlnx (8.13.8/8.13.8) with ESMTP id rB4EXKac018206;
 Wed, 4 Dec 2013 16:33:20 +0200
From: Doron Tsur <doront@HIDDEN>
To: bug-parted@HIDDEN
Subject: [PATCH 2/2] "-Wall -Wextra -Werror" compilation patches - part 2/2
 parted/ui.c:169:1: error: string length '827' is greater than the length
 '509' ISO C90 compilers are required to support [-Werror=overlength-strings]
Date: Wed,  4 Dec 2013 16:33:20 +0200
Message-Id: <1386167600-5683-1-git-send-email-doront@HIDDEN>
X-Mailer: git-send-email 1.7.8.2
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 04 Dec 2013 11:21:17 -0500
Cc: Doron Tsur <doront@HIDDEN>, itaib@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Tests: Ubuntu 13.10 compilation
.../configure --prefix=/usr --without-readline CFLAGS="-Wall -Wextra -Werror" && make
Signed-off-by: Doron Tsur <doront@HIDDEN>
---
 parted/ui.c |   15 ++++++++-------
 1 files changed, 8 insertions(+), 7 deletions(-)

diff --git a/parted/ui.c b/parted/ui.c
index be93ea9..327cc93 100644
--- a/parted/ui.c
+++ b/parted/ui.c
@@ -166,15 +166,16 @@ static const char* usage_msg = N_(
 "Apply COMMANDs with PARAMETERS to DEVICE.  If no COMMAND(s) are given, "
 "run in\ninteractive mode.\n");
 
-static const char* bug_msg = N_(
+static const char* bug_msg_extension = N_(
 "\n\nYou found a bug in GNU Parted! Here's what you have to do:\n\n"
 "Don't panic! The bug has most likely not affected any of your data.\n"
 "Help us to fix this bug by doing the following:\n\n"
 "Check whether the bug has already been fixed by checking\n"
 "the last version of GNU Parted that you can find at:\n\n"
 "\thttp://ftp.gnu.org/gnu/parted/\n\n"
-"Please check this version prior to bug reporting.\n\n"
-"If this has not been fixed yet or if you don't know how to check,\n"
+"Please check this version prior to bug reporting.\n\n");
+
+static const char* bug_msg = N_("%sIf this has not been fixed yet or if you don't know how to check,\n"
 "please visit the GNU Parted website:\n\n"
 "\thttp://www.gnu.org/software/parted\n\n"
 "for further information.\n\n"
@@ -340,7 +341,7 @@ sa_sigint_handler (int signum __attribute__((unused)), siginfo_t* info, void *uc
 static void
 sa_sigsegv_handler (int signum __attribute__((unused)), siginfo_t* info, void* ucontext __attribute__((unused)))
 {
-        fprintf (stderr, bug_msg, VERSION);
+        fprintf (stderr, bug_msg, bug_msg_extension, VERSION);
         _dump_history ();
 
         if (!info)
@@ -375,7 +376,7 @@ sa_sigsegv_handler (int signum __attribute__((unused)), siginfo_t* info, void* u
 static void
 sa_sigfpe_handler (int signum __attribute__((unused)), siginfo_t* info, void* ucontext __attribute__((unused)))
 {
-        fprintf (stderr, bug_msg, VERSION);
+        fprintf (stderr, bug_msg, bug_msg_extension, VERSION);
         _dump_history ();
 
         if (!info)
@@ -439,7 +440,7 @@ sa_sigfpe_handler (int signum __attribute__((unused)), siginfo_t* info, void* uc
 static void
 sa_sigill_handler (int signum __attribute__((unused)), siginfo_t* info, void* ucontext __attribute__((unused)))
 {
-        fprintf (stderr, bug_msg, VERSION);
+        fprintf (stderr, bug_msg, bug_msg_extension, VERSION);
         _dump_history ();
 
         if (!info)
@@ -617,7 +618,7 @@ _print_exception_text (PedException* ex)
         wipe_line ();
 
         if (ex->type == PED_EXCEPTION_BUG) {
-                fprintf (stderr, bug_msg, VERSION);
+                fprintf (stderr, bug_msg, bug_msg_extension, VERSION);
                 text = str_list_create ("\n", ex->message, "\n\n", NULL);
         } else {
                 text = str_list_create (
-- 
1.7.8.2





Acknowledgement sent to Doron Tsur <doront@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-parted@HIDDEN. Full text available.
Report forwarded to bug-parted@HIDDEN:
bug#16055; Package parted. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.